Get customer acquisition source for the email/newsletter report
GET
/cms/analytics/email/user-source
const url = 'https://api.example.com/cms/analytics/email/user-source';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/analytics/email/user-source \ --header 'API-Key: <API-Key>'Acquisition source counts for customers subscribed to the selected channel(s) (combined if more than one).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”date_from
string format: date
Defaults to 8 days ago.
date_to
string format: date
Defaults to today.
channel
Array<integer>
Responses
Section titled “Responses”Customer counts per acquisition source
Admin authorization required
Insufficient permissions